APIContacts

Create or update a contact by email

Idempotently creates or updates a contact matched on `email`. Provided fields (including `custom_fields`) overwrite existing values; omitted fields are left unchanged. `account_ids` are added as associations.

POST
/v1/records/contacts/upsert

Idempotently creates or updates a contact matched on email. Provided fields (including custom_fields) overwrite existing values; omitted fields are left unchanged. account_ids are added as associations.

X-Api-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/records/contacts/upsert" \  -H "Content-Type: application/json" \  -d '{    "first_name": "Jane",    "last_name": "Doe",    "email": "janedoe@example.com"  }'
{
  "data": {
    "first_name": "Jane",
    "middle_name": "A.",
    "last_name": "Doe",
    "title": "Marketing Manager",
    "email": "janedoe@example.com",
    "phone": "+1-555-123-4567",
    "company": "Acme Corp",
    "linkedin_url": "https://www.linkedin.com/in/janedoe",
    "location": "San Francisco, CA",
    "city": "San Francisco",
    "state": "CA",
    "country": "USA",
    "tags": [
      "marketing",
      "manager"
    ],
    "icp_label": "Enterprise",
    "account_ids": [
      "d714e4ab-c3f3-418f-a340-7a939bc488b2"
    ],
    "custom_fields": {
      "property1": "string",
      "property2": "string"
    },
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "crm_id": "123456",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "created": true
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}